%define		enable_japanese 1

Name: 		dia
Summary:	A diagram drawing program.
Version:	0.86
Release:	4
Epoch:		1
Source:		http://www.lysator.liu.se/~alla/dia/files/%{name}-%{version}.tar.gz
Group:		Applications/Multimedia
Copyright:	GPL
URL:		http://www.lysator.liu.se/~alla/dia/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source1:	dia-0.86-ja.po
Patch1:		http://www.u-aizu.ac.jp/%7Em5031201/dia/patch/dia-0.86-0-7.diff
Patch2:		dia-0.86-fixed-xim.patch
Patch3:		dia-0.86-text-render.patch

%description
The Dia drawing program is designed to be like the Windows(TM) Visio
program.  Dia can be used to draw different types of diagrams, and
includes support for UML static structure diagrams (class diagrams),
entity relationship modeling, and network diagrams.  Dia can load and
save diagrams to a custom file format, can load and save in .xml format,
and can export to PostScript(TM).

%prep
%setup -q
%if %{enable_japanese}
%patch1 -p2 -b .jp1
%patch2 -p1 -b .xim
%patch3 -p1 -b .text
%endif

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/po/ja.po

%build
%configure --enable-gnome
# XXXX PGB - work around compiler bug
perl -pi -e "s|-O2||g" plug-ins/hpgl/Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog KNOWN_BUGS INSTALL NEWS README TODO 
%doc samples/
%{_bindir}/dia
%{_libdir}/dia
%{_mandir}/*/*
%{_datadir}/dia
%{_datadir}/gnome/apps/Applications/dia.desktop
%{_datadir}/pixmaps/dia_gnome_icon.png

%changelog
* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- use %%{_tmppath}

* Fri Feb 09 2001 Akira TAGOH <tagoh@redhat.com>
- -2
- Fixed install po.
- Updated Japanese translation.
  Note: Please remove Source1: when release the next upstream version.
- Added Japanese patch.
- -3
- Fixed text render bug.

* Mon Jan 29 2001 Preston Brown <pbrown@redhat.com>
- upgraded to fix i18n issues (#24875)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Whatever, 15321 was already fixed (it's under plain Applications), 
  change the group back

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Put it in Applications/Graphics bug 15321

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 6 2000 Tim Powers <timp@redhat.com>
- fixed manpage location
- use %%makinstall

* Mon May  1 2000 Matt Wilson <msw@redhat.com>
- updates to 0.84, added alpha back in

* Mon Nov 8 1999 Tim Powers <timp@redhat.com>
- updated to 0.81

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- exludearch alpha dumps core when you do anything

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 28 1999 Preston Brown <pbrown@redhat.com>
- initial build for Powertools 6.0



